(function( $ ) {
    "use strict";

    $(document).on('wp_client_reports_js_get_data', function(event, start_date_utc, end_date_utc){
        if ($('#wp-client-reports-simple-integration').length) {
            $('#wp-client-reports-simple-integration').addClass('loading');
            var dataString = 'action=wp_client_reports_simple_integration_data&start=' + start_date_utc + '&end=' + end_date_utc;
            var js_date_format = getDateFormat();
            $.ajax({
                type: "GET",
                url: ajaxurl,
                data: dataString,
                dataType: 'json',
                success: function(data, err) {
                    $("#wp-client-reports-simple-integration-custom-value-1").text(data.custom_value_1);
                    $("#wp-client-reports-simple-integration-custom-value-2").text(data.custom_value_2);
                    $("#wp-client-reports-simple-integration-custom-value-3").text(data.custom_value_3 + '%');
                    $("#wp-client-reports-simple-integration-custom-value-4").text(data.custom_value_4);
                    $('#wp-client-reports-simple-integration').removeClass('loading');
                }
            });
        }
    });

    function getDateFormat() {
        if (wp_client_reports_data.moment_date_format) {
            return wp_client_reports_data.moment_date_format;
        } else {
            return 'MM/DD/YYYY';
        }
    }

}(jQuery));
